Mailinglist Archive: opensuse-bugs (4227 mails)

< Previous Next >
[Bug 1017696] New: Wrong command to install rpm file through yast2 from GUI
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sun, 01 Jan 2017 19:04:42 +0000
  • Message-id: <bug-1017696-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1017696


Bug ID: 1017696
Summary: Wrong command to install rpm file through yast2 from
GUI
Classification: openSUSE
Product: openSUSE Distribution
Version: Leap 42.2
Hardware: All
OS: Other
Status: NEW
Severity: Minor
Priority: P5 - None
Component: KDE Workspace (Plasma)
Assignee: opensuse-kde-bugs@xxxxxxxxxxxx
Reporter: jakub.kuzniar@xxxxxxxxxxxxxx
QA Contact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---

Wen user clicks rpm file on the Dolphin file manager and selects
"Install/Remove Software", following command is invoked:

xdg-su -c "/sbin/yast2 sw_single %F"

yast2 opens if the package file name is regular one. In case if in rpm file
name brackets are presents like adobeair.i386(1).rpm, yast2 does not start.

Simple correction would be to add: \"

xdg-su -c "/sbin/yast2 sw_single \"%F\""

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
This Thread
  • No further messages